Reply

API curl Connect from vmware appliance to infoblox fails

winlin
Techie
Posts: 1
2858     0

Hello Guys,

 

hope you can help.

 

I have an vmware orchestrator 7.3.1 appliance and have implemented firewall rules to the infoblox api endpoint. When i´m logged in orchestrator i try to curl the infoblox api and it fails with:

<html><head>
<title>401 Authorization Required</title>
</head><body>
<h1>Authorization Required</h1>
<p>This server could not verify that you
are authorized to access the document
requested.  Either you supplied the wrong
credentials (e.g., bad password), or your
browser doesn't understand how to supply
the credentials required.</p>
</body></html>

 

Then we have checked the credentials of the api user which is locally created in infoblox. Permission (API) are granted and also the pwd has been resettet. But everytime it fails when trying to curl.

 

How can i troubleshoot that problem to know what is exactly the problem?? The call is:

curl --insecure --user USERSmiley TongueWD https://XX.XX.XXX.XX/wapi/v2.5/extensibleattributedef

 

it doens´t matter which curl command i try everytime fails with this error.

Any clue???

Re: API curl Connect from vmware appliance to infoblox fails

TTiscareno Community Manager
Community Manager
Posts: 325
2859     0

Is it possible that the connection is going through some sort of proxy or other network security device which is intercepting these requests? This is not a response that we would expect to see coming from an Infoblox appliance and you can confirm by looking at the audit logs on the Infoblox side to see if the authentication request is being seen and if so, if the request is being allowed or denied.

 

If the request is making it to your Infoblox Grid Master and is being denied, one thing to verify would be that API access has been enabled. To verify this, navigate to Administration -> Administrators -> Groups, edit the properties for the group that the user is a member of and under the Allowed Interfaces section in the Roles tab, verify that the appropriate API option is enabled. Depending on the versions in use, most likely you will require some form of WAPI to be allowed with newer versions of NIOS being able to use the Cloud API with WAPI.

 

Regards,

Tony

Showing results for 
Search instead for 
Do you mean 

Recommended for You